Live Status

View as Markdown
Poll the progress of a document translation job.

Authentication

api-subscription-keystring
API Key authentication via header

Path parameters

job_idstringRequired

The job_id returned by POST /translate/document/jobs.

Response

Live status.
job_idstring
job_namestring
job_stateenum

Aggregate job state returned by GET /jobs/{job_id}/live-status.

source_language_codestring
created_atstringformat: "date-time"
updated_atstringformat: "date-time"
progressintegerOptionalDefaults to 0

Overall progress (0-100).

page_metricsobject or nullOptional

Present for PDF (page-granular) jobs.

translation_metricsobject or nullOptional

Present for Office format (document-granular) jobs.

translationslist of objectsOptionalDefaults to []
warningslist of strings or nullOptional
Server warnings. Omitted when empty.
error_messagestring or nullOptional

Job-level failure reason.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error